complexType "CreditDefaultSwap"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 1 attribute, 8 elements
Defined: | globally in fpml-cd-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | (primaryAssetClass?, secondaryAssetClass*, productType*, productId*, embeddedOptionType[0..2])?, generalTerms, feeLeg, protectionTerms+
</...>

Content Model Elements (8):

  embeddedOptionType, feeLeg (in creditDefaultSwap), generalTerms (in creditDefaultSwap), primaryAssetClass (defined in Product.model group), | productId, productType (defined in Product.model group), protectionTerms (in creditDefaultSwap), secondaryAssetClass

All Direct / Indirect Based Elements (1):

  creditDefaultSwap

Known Usage Locations

- As direct type of elements (1):
  creditDefaultSwap

Type Definition Detail

Type Derivation Tree Product (extension) CreditDefaultSwap

XML Source (w/o annotations (3); see within schema source)

<xsd:complexType name="CreditDefaultSwap"> <xsd:complexContent> <xsd:extension base="Product"> <xsd:sequence> <xsd:element name="generalTerms" type="GeneralTerms"/> <xsd:element name="feeLeg" type="FeeLeg"/> <xsd:element maxOccurs="unbounded" name="protectionTerms" type="ProtectionTerms"/> <!--View Generation: SKIPPED - Standardized--> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/8)
feeLeg

  Type: | FeeLeg, complex content

  This element contains all the terms relevant to defining the fixed amounts/payments per the applicable ISDA definitions.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="feeLeg" type="FeeLeg"/>

generalTerms

  Type: | GeneralTerms, complex content

  This element contains all the data that appears in the section entitled "1. General Terms" in the 2003 ISDA Credit Derivatives Confirmation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="generalTerms" type="GeneralTerms"/>

protectionTerms

  Type: | ProtectionTerms, complex content

  This element contains all the terms relevant to defining the applicable floating rate payer calculation amount, credit events and associated conditions to settlement, and reference obligations.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" name="protectionTerms" type="ProtectionTerms"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.